PSOC E8XXGP Device Support Library

| PSOC E8XXGP Device Support Library

Data Structures
Data Structures
PDL API Reference » AUTONOMOUS ANALOG (Autonomous Analog Block) » CTB (Continuous Time Block)

## General Description

## Data Structures
struct | cy_stc_autanalog_ctb_sta_t
| Defines the static configuration structure, see Static Configuration. More...
struct | cy_stc_autanalog_ctb_dyn_t
| Defines the dynamic configuration structure, see Dynamic Configuration and State Transition Table. More...
struct | cy_stc_autanalog_ctb_t
| The configuration structure to set up the entire CTB based on static and dynamic configurations. More...
struct | cy_stc_autanalog_stt_ctb_t
| The CTB section in the State Transition Table state. More...

## Data Structure Documentation

## ◆ cy_stc_autanalog_ctb_sta_t

struct cy_stc_autanalog_ctb_sta_t

Data Fields
cy_en_autanalog_ctb_oa_pwr_t | pwrOpamp0 | The Power mode for the Opamp0.
cy_en_autanalog_ctb_oa_topo_t | topologyOpamp0 | The topology configuration for Opamp0.
cy_en_autanalog_ctb_comp_int_t | intComp0 | The Edge-detect comparator mode for Opamp0.
cy_en_autanalog_ctb_oa_fb_cap_t | capFbOpamp0 | The value of the feedback capacitor for Opamp0.
cy_en_autanalog_ctb_oa_cc_cap_t | capCcOpamp0 | The value of the compensation capacitor for Opamp0.
cy_en_autanalog_ctb_oa_pwr_t | pwrOpamp1 | The Power mode for Opamp1.
cy_en_autanalog_ctb_oa_topo_t | topologyOpamp1 | The topology configuration for Opamp1.
cy_en_autanalog_ctb_comp_int_t | intComp1 | The Edge-detect comparator mode for Opamp1.
cy_en_autanalog_ctb_oa_fb_cap_t | capFbOpamp1 | The value of the feedback capacitor for Opamp1.
cy_en_autanalog_ctb_oa_cc_cap_t | capCcOpamp1 | The value of the compensation capacitor for Opamp1.

## ◆ cy_stc_autanalog_ctb_dyn_t

struct cy_stc_autanalog_ctb_dyn_t

Data Fields
cy_en_autanalog_ctb_oa_ninv_pin_t | ninvInpPin | Connection of the non-inverting input of the Opamp to pin.
cy_en_autanalog_ctb_oa_ninv_ref_t | ninvInpRef | Connection of the non-inverting input of the Opamp to Vref.
cy_en_autanalog_ctb_oa_inv_pin_t | invInpPin | Connection of the inverting input of the Opamp to pin.
cy_en_autanalog_ctb_oa_res_pin_t | resInpPin | Connection of the bottom end of the resistor ladder to pin.
cy_en_autanalog_ctb_oa_res_ref_t | resInpRef | Connection of the bottom end of the resistor ladder to Vref.
cy_en_autanalog_ctb_oa_mux_in_t | sharedMuxIn | Connection of the pins to the input multiplexer in the CTB.
cy_en_autanalog_ctb_oa_mux_out_t | sharedMuxOut | Connection of the Opamp inputs to the output multiplexer in CTB.
bool | outToPin | Connection of the Opamp output to pin.

## ◆ cy_stc_autanalog_ctb_t

struct cy_stc_autanalog_ctb_t

Data Fields
cy_stc_autanalog_ctb_sta_t * | ctbStaCfg | The pointer to a static part of the CTB configuration.
uint8_t | ctbDynCfgNum | The number of dynamic configurations used for the CTB.
cy_stc_autanalog_ctb_dyn_t * | ctbDynCfgArr | The array of pointers to dynamic configurations used for the CTB.

## ◆ cy_stc_autanalog_stt_ctb_t

struct cy_stc_autanalog_stt_ctb_t

Data Fields
bool | unlock | CTB Unlock FALSE - Locked: Data from fields enableOpampX, cfgOpampX, gainOpampX will NOT be taken into account in the corresponding state of STT TRUE - Unlocked: Data from fields enableOpampX, cfgOpampX, gainOpampX will be used in the STT corresponding state.
bool | enableOpamp0 | Enable Opamp0.
uint8_t | cfgOpamp0 | The dynamic configuration selector for Opamp0 in the CTB, see cy_stc_autanalog_ctb_dyn_t, the valid range is 0 to 7.
cy_en_autanalog_stt_ctb_oa_gain_t | gainOpamp0 | The gain control for Opamp0 in the CTB.
bool | enableOpamp1 | Enable Opamp1.
uint8_t | cfgOpamp1 | The dynamic configuration selector for Opamp1 in the CTB, see cy_stc_autanalog_ctb_dyn_t, the valid range is 0 to 7.
cy_en_autanalog_stt_ctb_oa_gain_t | gainOpamp1 | The gain control for Opamp1 in the CTB.